Vulnerability Name:

CVE-2009-0921

Assigned:2009-03-23
Published:2009-03-23
Updated:2017-08-16
Summary:Multiple heap-based buffer overflows in OvCgi/Toolbar.exe in HP OpenView Network Node Manager (OV NNM) 7.01, 7.51, and 7.53 allow remote attackers to execute arbitrary code via (1) a long OvAcceptLang cookie, which triggers the error in ov.dll and ovwww.dll, or (2) a long Accept-Language HTTP header, which triggers the error in ovwww.dll or libovwww.so.4.
CVSS v3 Severity:7.3 High (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): Low
Availibility (A): Low
CVSS v2 Severity:10.0 High (CVSS v2 Vector: AV:N/AC:L/Au:N/C:C/I:C/A:C)
7.8 High (Temporal CVSS v2 Vector: AV:N/AC:L/Au:N/C:C/I:C/A:C/E:POC/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): Complete
Integrity (I): Complete
Availibility (A): Complete
7.5 High (CCN CVSS v2 Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P)
5.9 Medium (CCN Temporal CVSS v2 Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P/E:POC/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Athentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
Vulnerability Type:CWE-119
References:Source: HP
Type: UNKNOWN
HPSBMA02416

Source: MISC
Type: UNKNOWN
http://www.coresecurity.com/content/openview-buffer-overflows

Source: BUGTRAQ
Type: UNKNOWN
20090323 CORE-2009-0122: HP OpenView Buffer Overflows

Source: BID
Type: UNKNOWN
34134

Source: BID
Type: UNKNOWN
34135

Source: SECTRACK
Type: UNKNOWN
1021883

Source: VUPEN
Type: VENDOR_ADVISORY
ADV-2009-0819

Source: XF
Type: UNKNOWN
hp-ovnnm-ovacceptlang-acceptlanguage-bo(49363)

Vulnerable Configuration:Configuration 1:
  • cpe:/a:hp:network_node_manager:7.0.1:*:*:*:*:*:*:*
  • OR cpe:/a:hp:network_node_manager:7.5.1:*:*:*:*:*:*:*
  • OR cpe:/a:hp:network_node_manager:7.5.3:*:*:*:*:*:*:*

  • Configuration CCN 1:
  • cpe:/a:hp:openview_network_node_manager:7.01:*:*:*:*:*:*:*
  • OR cpe:/a:hp:openview_network_node_manager:7.51:*:*:*:*:*:*:*
  • OR cpe:/a:hp:openview_network_node_manager:7.53:*:*:*:*:*:*:*

  • * Denotes that component is vulnerable
    BACK
    hp network node manager 7.0.1
    hp network node manager 7.5.1
    hp network node manager 7.5.3
    hp openview network node manager 7.01
    hp openview network node manager 7.51
    hp openview network node manager 7.53